Bug 85627 - Problems with st module
Problems with st module
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-05 03:19 EST by Raffaele Carlà
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 21:07:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raffaele Carlà 2003-03-05 03:19:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:
I'm running Linux AS 2.1 with 2.4.9-e.12 kernel on IBM x440. I've got a SCSI 
tape Seagate STT20000N. 
When I try to read a bad tape (i.e. a tape with a read error), I obtain the I/O 
error on terminal, but the process hangs for too long and I have to reboot the 
server to access the tape. 
The same procedure, on Red Hat 7.3 with 2.4.18 kernel, is going right: I obtain 
the I/O error and the prompt.
I'm using the AIC7xxx driver v.6.2.8.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. "cat /dev/st0 > filename" on a bad tape
2.
3.
    

Actual Results:  I got "I/O error" but not the prompt. The process hangs 
forever (I think...) and the tape remains busy.

Expected Results:  The tape free and the prompt.

Additional info:
Comment 1 Arjan van de Ven 2003-03-05 05:33:45 EST
Red Hat Linux doesn't run on the x440 machine btw
Comment 2 acount closed by user 2003-03-05 22:23:31 EST
There are problems with st in the Linux kernel. Take a look:
http://www.linuxtapecert.org
--cut--

Linux 2.4.x Kernel Notes

      UPDATE March, 4, 2003 : Although the following information is correct, we
recommend that everyone use Linux kernel the 2.4.9-34 (TOLIS mirror) kernel
package from Red Hat for all Linux distributions. After 2.4.10 some SCSI issues
were introduced to the kernel that cause errors when using tape drives.
Specificially EOT (end of tape) is not properly reported, causing problems with
multi-volume archives.

      Linux users running backup applications with SCSI tape drives under a
2.4.x kernel need to be aware of SCSI subsystem issues in the various 2.4.x
kernels. We have run tests and researched all 2.4.x kernels through 2.4.19 and
have discovered the following: (GREEN = good, RED = bad).

          o GOOD: 2.4.2-2 Shipped with Red Hat 7.1 - Stable
          o BAD: 2.4.2 Stock - Issues with SCSI Generic under Adaptec and
Symbios chipsets
          o GOOD: 2.4.3 Stock - Stable
          o BAD: 2.4.4/5/6 Stock - __alloc errors on SCSI I/O
          o GOOD: 2.4.6-2 Shipped in Red Hat 7.2 BETA - Stable
          o 2.4.7 Stock - Stable
          o BAD: 2.4.7-10 Shipped in Red Hat 7.2 release - Issues with busfree
and __alloc errors
          o BAD: 2.4.8/9/10/11 Stock - Issues with busfree and __alloc errors
          o GOOD: 2.4.9-34 Red Hat - Stable (Most stable kernel for Red Hat 7.2)
          o BAD: 2.4.12/13/14 Stock - No proper End of tape recognition
          o BAD: 2.4.18-3 Red Hat - Stock kernel for 7.3 - UPGRADE THIS! Lots of
SG errors and no proper EOT
          o BAD: 2.4.18-10 to -18 Red Hat - (Latest Kernels for 7.3/8.0) no
proper EOT, invalid init sequence
    o BAD: 2.4.19 Stock - no proper EOT recognition

      SCSI tape operation requires a stable SCSI environment for proper
operation. To assure proper operation, only those kernels listed above as "Good"
should be used. Please contact your Linux distribution manufacturer or local
Linux Users Group for details on supported kernels and info on how to update (or
downgrade) the kernel on your system if you don't already know how.
--end--


I don't know if Red Hat support IBM x440. But IBM said YES:
http://www.pc.ibm.com/us/compat/nos/redchat.html 
--cut--
Test Information For the x440-8687
Product: Red Hat Linux Advanced Server 2.1
Manufacturer: Red Hat
Last Updated: 3/4/2003
Software support is available for IBM Operational Support Services - Support
Line: http://www-1.ibm.com/services/its/us/mus62d1.html or call 1-800-426-4343.

Summit kernel change required at time of OS installation.
--end--

Comment 3 Larry Woodman 2005-09-28 21:07:10 EDT
We cant really do anything about this in the AS2.1 kernel at this late date in
the lifecycle.  Pleans let me know if there are problems in either the RHEL3 or
RHEL4 kernels.

Larry Woodman

Note You need to log in before you can comment on or make changes to this bug.